<h1 mat-dialog-title>Transaction</h1>
<div mat-dialog-content class="d-flex flex-column">
  <mat-form-field class="col-12">
    <mat-label>Customers</mat-label>
    <mat-select [formControl]="customerControl" (selectionChange)="onSelectionChanged($event)" required>
      <mat-option *ngFor="let customer of customers" [value]="customer">
        {{customer.userName}}
      </mat-option>
    </mat-select>
    <mat-error *ngIf="customerControl.hasError('required')">Please choose a customer</mat-error>
  </mat-form-field>
  <div class="d-flex justify-content-around">
    <button mat-button (click)="onNoClick()">No Thanks</button>
    <button mat-button (click)="onPerform()">Select</button>
  </div>
</div>
